// Copyright 2023 Harran Ali <harran.m@gmail.com>. All rights reserved.
// Copyright (c) 2024 Zeni Kim <zenik@smarteching.com>
// Use of this source code is governed by MIT-style
// license that can be found in the LICENSE file.

package main

import (
	"git.smarteching.com/goffee/core"
	"git.smarteching.com/goffee/cup/controllers"
	"git.smarteching.com/goffee/cup/hooks"
)

// Register the app controllers
func registerRoutes() {
	controller := core.ResolveRouter()
	//#############################
	//# App Routes            #####
	//#############################

	// Define your routes here...
	controller.Get("/", controllers.WelcomeHome)
	// Uncomment the lines below to enable authentication
	// controller.Post("/signup", controllers.Signup)
	// controller.Post("/signin", controllers.Signin)
	// controller.Post("/signout", controllers.Signout)
	// controller.Post("/reset-password", controllers.ResetPasswordRequest)
	// controller.Post("/reset-password/code/:code", controllers.SetNewPassword)
	controller.Get("/dashboard", controllers.WelcomeToDashboard, hooks.AuthCheck)
}
